
Figure - Bug #116880
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】从游戏模式工具箱中打开小窗，然后关闭，recent中的相关应用卡片无缩略图
，呈空白状态
2023-03-11 12:40 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 由于之前 b51e7965bd2ec10de02457d71e07c5f02e231bd3 的修改,导致在finish activity 之前就已经把ActivityRecord给设置成false状态了，导致缩率图无法创建

Description

【前提条件】

1、设备正常启动

2、打开游戏模式

【测试步骤】

1、打开游戏

2、打开工具箱

3、点击其中一个小窗应用

4、关闭该小窗

5、查看任务管理器该应用的进程卡片显示

【预期结果】

5、进程卡片显示小窗关闭时的缩略图

【实际结果】

5、相关应用的进程卡片呈空白状态

【复现率】

3/3

History

#1 - 2023-03-14 09:30 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

王宏,

请确认一下此问题是否是小窗无法获得快照，如果是小窗问题导致，请转给凯峰处理。

#2 - 2023-03-15 15:35 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰
凯峰，请调查一下是否是小窗缩略图生成的异常

#3 - 2023-03-15 15:36 - CD APP-王宏

- Category changed from CD-APP to CD-FW

#4 - 2023-03-15 17:13 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

#5 - 2023-03-21 19:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188601 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: clear finish animationThis reverts commit b51e7965bd2ec10de02457d71e07c5f02e231bd3if set activity record visible to false before finish, it

willnot create snapshotTC-RID: 1201-0204601IssueID: TS-R-BUG-116880Change-Id: I8a97e570446cedb5d28a432b36432fb34f1ac075

#6 - 2023-03-21 19:27 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 由于之前 b51e7965bd2ec10de02457d71e07c5f02e231bd3 的修改,导致在finish activity 之前就已经把ActivityRecord给设置成false状态了，导致缩

率图无法创建

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于之前 b51e7965bd2ec10de02457d71e07c5f02e231bd3 的修改,导致在finish activity 之前就已经把ActivityRecord给设置成false状态了，导致

缩率图无法创建

解决问题的方法是,在修改之前的问题,不在finish的隐藏activity record, 重新修改之前的问题

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/188601

#7 - 2023-03-23 11:13 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

3.23

验证通过
#8 - 2023-03-23 11:13 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-11 12-39-26.mp4 34.3 MB 2023-03-11 CD TEST-方永红
